//
// Copyright (c) 2005 Yoan Blanc, HE-ARC Ingnierie (Le Locle)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
// Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
// OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

package ch.hearc.I04_05s08.GUI.Graph;

import javax.swing.*;

/**
 *	The source viewer for RDF files
 *
 *	@author Blanc, Yoan
 *	@hearc.copyright 2005 Yoan Blanc, HE-ARC Ingnierie
 *	@hearc.licence <a href="http://opensource.org/licenses/mit-license.php">MIT</a>
 *	@version 0.1.2
 */

public class SourcePane extends JTextPane
{
	public SourcePane()
	{
		super();
		setContentType("text/html; charset=UTF-8");
	}
	
	public void setText(String text)
	{
		String[][] replacements = new String[][]{
			{"<","{{tt}}&lt;"},
			{">","&gt;{{/tt}}"},
			{"=\"","=\"{{strong}}"},
			{"(?<!=)\"","{{/strong}}\""},
			{"\\{\\{","<"},
			//{"\\{\\{span:","<span style=\""},
			{"}}",">"}
			//{"=\"[^\"]*\"",""}
		};
		
		//text = text.replaceAll("rdf","<i>rdf</i>");
		for(int i=0;i<replacements.length;i++)
		{
			text = text.replaceAll(replacements[i][0], replacements[i][1]);
		}
		
		//super.setText(
		text = 
			"<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n"+
        	"\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\"> \n" +
			"<html> \n" +
			"<head>\n<title>Source code</title>\n<style type=\"text/css\"> \n"+
			"body{font-family:monospace;font-size:10pt;} \n" +
			//"strong{color:#000000;} \n"+
			"tt{color:#003399;} \n"+
			"</style>\n</head>\n<body><pre>" +
			text +
			"</pre></body></html>";
		//);
		
		super.setText(text);
	}
}